petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAlpha2GetParams

gets the algorithmic parameters for TSALPHA2

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAlpha2GetParams(TS ts,PetscReal *alpha_m,PetscReal *alpha_f,PetscReal *gamma,PetscReal *beta)

Not Collective Many br

### Input Parameter

ts - timestepping context Many br

### Output Parameters

| \alpha_m | - algorithmic parameter Many br
| \alpha_f | - algorithmic parameter Many br
| \gamma | - algorithmic parameter Many br
| \beta | - algorithmic parameter Many br

### Note

Use of this function is normally only required to hack TSALPHA2 to Many bruse a modified integration scheme. Users should call Many brTSAlpha2SetRadius() to set the high-frequency damping (i.e. spectral Many brradius of the method) in order so select optimal values for these Many brparameters. Many br

Many br

### See Also

TSAlpha2SetRadius(), TSAlpha2SetParams()

Level:advanced
Location:src/ts/impls/implicit/alpha/alpha2.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages